IndexNotAvailableException (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist
Class IndexNotAvailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.persist.IndexNotAvailableException

All Implemented Interfaces:
  Serializable

    public class IndexNotAvailableException

extends DatabaseException

Thrown by the `getPrimaryIndex`, `getSecondaryIndex` and `getSubclassIndex` when an index has not yet been created.

It can be thrown when opening an environment read-only with new persistent classes that define a new primary or secondary index. The index does not exist because the environment has not yet been opened read-write with the new classes. When the index is created by a read-write application, the read-only application must close and re-open the environment in order to open the new index.

See Also:
  Serialized Form

Constructor Summary
`IndexNotAvailableException(String message)` For internal use only.

Method Summary

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexNotAvailableException

    public IndexNotAvailableException(String message)

  For internal use only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.